package w83b.w83bOperacionesPaso.w83bActas;

import java.util.HashMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import w83b.w83bUtilidadesComunes.W83bClsConstantes;

import es.ejie.frmk.presentacion.operacion.paso.Q70ActionPasoOP;
import es.ejie.frmk.presentacion.sesiondatos.Q70ContextoEJIE;

public class W83bValidarIntervaloEleccionSindicalCtoTrabajoOP extends Q70ActionPasoOP {

	protected void processOP(Q70ContextoEJIE contexto, ActionErrors errores, ActionMapping mapping,
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		
	}

	protected ActionForward processForward(Q70ContextoEJIE contexto, ActionErrors errors, ActionMapping mapping, 
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {

		HashMap mapa=new HashMap();
		
		mapa.put("idCentroTrabajo", request.getParameter("idCentroTrabajo"));
		mapa.put("territorioActa", request.getParameter("territorioActa"));
		mapa.put("anyoActa", request.getParameter("anyoActa"));
		mapa.put("nActa", request.getParameter("nActa"));
		mapa.put("fecha_entrada", request.getParameter("fecha_entrada"));
		mapa.put("idioma", contexto.get(W83bClsConstantes.CONSTANTE_CONTEXTO_IDIOMA));
		
		contexto.set("w83bMapaActas", mapa);
		return mapping.findForward("ok");
		
	}
}
